aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--bash/bashrc.d/keep.bash1
1 files changed, 1 insertions, 0 deletions
diff --git a/bash/bashrc.d/keep.bash b/bash/bashrc.d/keep.bash
index bdb5c2de..6295069d 100644
--- a/bash/bashrc.d/keep.bash
+++ b/bash/bashrc.d/keep.bash
@@ -11,6 +11,7 @@ keep() {
# Figure out the directory to which we're reading and writing these scripts
local bashkeep
bashkeep=${BASHKEEP:-$HOME/.bashkeep.d}
+ mkdir -p -- "$bashkeep" || return
# Parse options
local opt delete